Bug 505742 - man page of livecd-iso-to-disk must be updated
man page of livecd-iso-to-disk must be updated
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 07:13 EDT by Michel Duquaine
Modified: 2009-07-21 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 14:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch for man livecd-iso-to-disk (2.32 KB, application/octet-stream)
2009-06-15 15:24 EDT, Michel Duquaine
no flags Details

  None (edit)
Description Michel Duquaine 2009-06-13 07:13:03 EDT
Description of problem:

1) Extract of manpage of livecd-iso-to-disk:
============================================
OPTIONS
       --reset-mbr
           Sets the Master Boot Record(MBR) of the USB storage device to the mbr.bin file from the image’s
           syslinux directory.

       --noverify
           Disables the image validation process which occurs before the image is installed. When this option is
           enabled the image is not verified before installation on the USB storage device.

       --overlay-size-mb
           This option sets the overlay size in megabytes. The overlay is additional storage available to the
           live operating system if the operating system supports it. The USB storage device must have enough
           free space for the image and the overlay.

2) livecd-iso-to-disk --help:
=============================
/usr/bin/livecd-iso-to-disk [--format] [--reset-mbr] [--noverify] [--overlay-size-mb <size>] [--home-size-mb <size>] [--unencrypted-home] [--skipcopy] <isopath> <usbstick device>



The options --format, --home-size-mb, --unencrypted-home, --skipcopy are not documented in the man page of livecd-iso-to-disk
Comment 1 Jeremy Katz 2009-06-15 10:00:37 EDT
Patches accepted :-)

The man pages are mostly maintained by community members providing patches from time to time, so if you wanted to contribute sections for the options (they should be straight-forward enough to understand; if not, I'd be glad to help) even not in the correct format, I'll add them.  Otherwise, I'll get to it eventually
Comment 2 Michel Duquaine 2009-06-15 15:24:21 EDT
Created attachment 347992 [details]
proposed patch for man livecd-iso-to-disk
Comment 3 Michel Duquaine 2009-06-15 15:28:13 EDT
Hello Jeremy,
This is new for me and I tried to do my best... see attachment.
Regards
Comment 4 Jeremy Katz 2009-06-15 15:39:54 EDT
That's great, thakns.  Applied to the source repo and will be in the next release.
Comment 5 Jeremy Katz 2009-07-21 14:31:41 EDT
Closing out bug that's been in MODIFIED for a while.

Note You need to log in before you can comment on or make changes to this bug.